﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="PageViewContest.aspx.cs" Inherits="prints_PageViewContest" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>In ấn</title>
    <link href="https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,400;0,500;0,700;1,400;1,500;1,700&display=swap" rel="stylesheet" />
    <link href="https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300;0,400;0,600;0,700;1,300;1,400;1,600;1,700&display=swap" rel="stylesheet" />
    <!--<script src="/admin_js/FileSaver.js"></script>
    <script src="/admin_js/html-docx.js"></script>-->
    <link rel="stylesheet" href="/admin_css/normalize.css" />
    <link rel="stylesheet" href="/admin_css/bootstrap.min.css" />
    <link rel="stylesheet" href="/admin_css/font-awesome.min.css" />
    <link rel="stylesheet" href="/admin_css/themify-icons.css" />
    <link href="/admin_css/pe-icon-7-filled.css" rel="stylesheet" />
    <link href="/admin_css/pe-icon-7-stroke.css" rel="stylesheet" />
    <link href="/admin_css/chosen.min.css" rel="stylesheet" />
    <link href="/admin_css/icofont.css" rel="stylesheet" />
    <link href="/admin_css/cssprint.css" rel="stylesheet" />
    <link href="/admin_css/style.css" rel="stylesheet" />
    <link href="/admin_css/add-style.css" rel="stylesheet" />
    <script src="/admin_js/jquery-2.1.4.min.js" type="text/javascript"></script>
    <script src="/admin_js/popper.min.js" type="text/javascript"></script>
    <script src="/admin_js/plugins.js" type="text/javascript"></script>
</head>
<body>
    <form id="form1" runat="server">
        <div class="container">

            <div id="btnprint" style="margin-top: 2rem; margin-bottom: -3rem; text-align: right;">
                <button class="btn btn-outline-info mr-1" id="btn-printContest" onclick="printHTML(this.title)" title="main-print" type="button"><i class="ti-printer"></i>&nbsp;In</button>
                <button id="btnExport" onclick="Convert_HTML_To_PDF()" class="btn btn-outline-info" type="button"><i class="ti-download"></i>&nbsp;Tải xuống</button>
            </div>
            <div id="main-print">
                <div class="mt-3 mb-5">
                    <h4 class="text-center" style="padding-right: 180px;"><label id="lbNameContest">N/A</label></h4>
                </div>
                <div class="detail-test mb-4">
                    <div class="row justify-content-center">
                        <div class="col-md-11">
                            <h5>
                                <strong>
                                    <label id="lbNameChild">N/A</label>
                                </strong>&nbsp;(<label id="lbCodeChild">N/A</label>) -
                            <label id="lbDatetimeTest">N/A</label>
                            </h5>
                            <div class="mb-2 print-none">
                                <div id="divProgressTyLeDung" class="progress">
                                    <div class="progress-bar bg-success progress-bar-striped" role="progressbar" style="width: 67%;" aria-valuenow="67" aria-valuemin="0" aria-valuemax="100">67%</div>
                                    <div class="progress-bar bg-danger progress-bar-striped" role="progressbar" style="width: 20%" aria-valuenow="20&quot;" aria-valuemin="0" aria-valuemax="100">20%</div>
                                    <div class="progress-bar bg-light-2 " role="progressbar" style="width: 13%" aria-valuenow="13" aria-valuemin="0" aria-valuemax="100">13%</div>
                                </div>
                            </div>
                        </div>
                        <div class="col-md-11">
                            <div id="divDetailTyLeDung" class="d-flex">
                                <div class="mr-4 text-success">67% Đúng</div>
                                <div class="mr-4 text-danger">20% Sai</div>
                                <div class="mr-4">13% Không chọn</div>
                                <div class="mr-4"><b>Tổng điểm:</b>&nbsp;140</div>
                                <div><i class="fa fa-clock-o"></i>&nbsp;7 Phút 31 Giây</div>
                            </div>
                        </div>
                    </div>


                </div>

                <div id="_listAnswerQuestionOfChild" class="block-row list-question modalAnswerTest">
                </div>

            </div>

        </div>

        <script src="/admin_js/printThis.js"></script>
        <script src="/admin_js/callAjaxGlobal.js"></script>
        <script src="/admin_js/html2canvas.min.js"></script>
        <script src="/admin_js/jspdf.min.js"></script>
<%--        <script src="http://demos.codexworld.com/convert-html-to-pdf-using-javascript-jspdf/js/html2canvas.min.js"></script>
        <script src="http://demos.codexworld.com/3rd-party/jsPDF/dist/jspdf.min.js"></script>--%>
        <script type="text/javascript">
            jQuery(document).ready(function ($) {


            });
        </script>
        <script type="text/javascript">
            var _apiLink = '<%=ConfigurationManager.AppSettings["APILink"] %>';
            function printHTML(id) {
                jQuery("#" + id).printThis({
                    //debug: false,               // show the iframe for debugging
                    //importCSS: true,            // import parent page css
                    //importStyle: false,         // import style tags
                    //printContainer: true,       // print outer container/$.selector
                    //loadCSS: "",                // path to additional css file - use an array [] for multiple
                    //pageTitle: "",              // add title to print page
                    //removeInline: false,        // remove inline styles from print elements
                    //removeInlineSelector: "*",  // custom selectors to filter inline styles. removeInline must be true
                    importCSS: true,
                    importStyle: true, //thrown in for extra measure
                    loadCSS: ['/admin_css/normalize.css', '/admin_css/bootstrap.min.css', '/admin_css/style.css', '/admin_css/add-style.css'],
                    //header: '<h1>Bài thi</h1>',

                    printDelay: 2000, // variable print delay
                    //header: null,               // prefix to html
                    //footer: null,               // postfix to html
                    //base: false,                // preserve the BASE tag or accept a string for the URL
                    //formValues: true,           // preserve input/form values
                    canvas: true, // copy canvas content
                    //doctypeString: '...',       // enter a different doctype for older markup
                    //removeScripts: false,       // remove script tags from print content
                    //copyTagClasses: false,      // copy classes from the html & body tag
                    //beforePrintEvent: null,     // function for printEvent in iframe
                    //beforePrint: null,          // function called before iframe is filled
                    //afterPrint: null            // function called before iframe is removed
                });
            }

            function Convert_HTML_To_PDF() {
                var elementHTML = document.getElementById('main-print');

                html2canvas(elementHTML, {
                    useCORS: true,
                    onrendered: function (canvas) {
                        var pdf = new jsPDF('p', 'pt', 'a4');
                        debugger;
                        var pageHeight = 1490;
                        var pageWidth = 1000;
                        var viewWidth = elementHTML.clientWidth;
                        for (var i = 0; i <= elementHTML.clientHeight / pageHeight; i++) {
                            var srcImg = canvas;
                            var sX = 0;
                            var sY = pageHeight * i; // start 1 pageHeight down for every new page
                            var sWidth = viewWidth;
                            var sHeight = pageHeight;
                            var dX = 0;
                            var dY = 0;
                            var dWidth = pageWidth;
                            var dHeight = pageHeight;

                            window.onePageCanvas = document.createElement("canvas");
                            onePageCanvas.setAttribute('width', viewWidth);
                            onePageCanvas.setAttribute('height', pageHeight);
                            var ctx = onePageCanvas.getContext('2d');
                            ctx.drawImage(srcImg, sX, sY, sWidth, sHeight, dX, dY, dWidth, dHeight);

                            var canvasDataURL = onePageCanvas.toDataURL("image/png", 1.0);
                            var width = onePageCanvas.width;
                            var height = onePageCanvas.clientHeight;

                            if (i > 0) // if we're on anything other than the first page, add another page
                                pdf.addPage(595, 842); // 8.5" x 12" in pts (inches*72)


                            pdf.setPage(i + 1); // now we declare that we're working on that page
                            var width2 = width * .536;
                            var height2 = height * .536;
                            pdf.addImage(canvasDataURL, 'PNG', 20, 20, (width * .536), (height * .536)); // add content to the page
                        }

                        // Save the PDF
                        pdf.save('document.pdf');
                    }
                });
            }
            function playSound(_link) {
                let isPlaying = false;
                let isLinkPlay = "";
                var jump_sound = new Audio(_link);

                if (!isPlaying) {
                    // Not playing, let's play
                    isPlaying = true;
                    isLinkPlay = jump_sound;
                    jump_sound.play();
                } else {
                    // Stop the music
                    isPlaying = true;
                    if (isLinkPlay != void 0 && isLinkPlay != undefined && isLinkPlay != "")
                        isLinkPlay.pause();
                    jump_sound.play();
                    isLinkPlay = jump_sound;
                };


                jump_sound.onended = function () {
                    this.currentSrc = null;
                    this.src = "";
                    this.srcObject = null;
                    this.remove();
                };
            }
            var _name = 'N/A';
            var _event = '0';
            var _contest = '0';
            var _child = '0';
            var _attempt = '0';
            var _completed = 'N/A';
            jQuery(document).ready(function ($) {
                let link = window.location.href;
                let paramsString = link.split("?")[1];
                let searchParams = new URLSearchParams(paramsString);

                if (searchParams.has("event")) {
                    _event = searchParams.get("event");
                }
                else {
                    swal("Cảnh báo", "Thông tin xử lý không chính xác.", "warning");
                }
                if (searchParams.has("contest")) {
                    _contest = searchParams.get("contest");
                }
                else {
                    swal("Cảnh báo", "Thông tin xử lý không chính xác.", "warning");
                }
                if (searchParams.has("child")) {
                    _child = searchParams.get("child");
                }
                else {
                    swal("Cảnh báo", "Thông tin xử lý không chính xác.", "warning");
                }
                if (searchParams.has("attempt")) {
                    _attempt = searchParams.get("attempt");
                }
                else {
                    swal("Cảnh báo", "Thông tin xử lý không chính xác.", "warning");
                }
                if (searchParams.has("completed")) {
                    _completed = searchParams.get("completed");
                }
                if (searchParams.has("name")) {
                    _name = searchParams.get("name");
                    jQuery("#lbNameContest").text(_name);

                }

                getDataEventChildInContestReport();
            });

            function getDataEventChildInContestReport() {
                var url = "/events/reports/" + _event + "/" + _contest + "/child/" + _child;
                if (_attempt != "0")
                    url = url + "?attempt=" + _attempt;
                let ajaxCall = callApiGlobal.getRequestGlobal(url);
                ajaxCall.done(function (data) {

                    if (data.data.length > 0) {
                        var urlUser = "/user/" + data.data[0].user_id;
                        let ajaxCallUser = callApiGlobal.getRequestGlobal(urlUser);
                        ajaxCallUser.done(function (dataUser) {
                            if (dataUser.data.profile != void 0) {
                                if (dataUser.data.profile.childs != void 0 && dataUser.data.profile.childs.length > 0) {
                                    jQuery.each(dataUser.data.profile.childs, function (i, item) {
                                        if (item._id == _child) {
                                            jQuery("#lbNameChild").text(item.name);
                                            jQuery("#lbCodeChild").text(item.code);
                                            jQuery("#lbDatetimeTest").text(_completed);
                                        }
                                    });
                                }
                            }
                        });
                        ajaxCallUser.fail((xhr, status, error) => {
                            errShow(xhr);
                        });
                    }
                    var _correct = 0;
                    var _wrong = 0;
                    var _timeout = 0;
                    var _stars = 0;
                    var _score = 0;
                    var _numquest = 0;
                    var _totalQuestion = 0;

                    if (data.report != void 0) {
                        if (data.report.correct != void 0)
                            _correct = data?.report?.correct;
                        if (data.report.wrong != void 0)
                            _wrong = data?.report?.wrong;
                       
                        if (data.report.duration != void 0)
                            _stars = data?.report?.duration;
                        if (data.report.score != void 0)
                            _score = data?.report?.score;
                        if (data.report.totalQuestion != void 0)
                            _totalQuestion = data.report.totalQuestion;

                        _correct = (_correct / _totalQuestion) * 100;
                        _correct = _correct.toFixed(2);
                        _wrong = (_wrong / _totalQuestion) * 100;
                        _wrong = _wrong.toFixed(2);
                        _timeout = 100 - (parseFloat(_correct) + parseFloat(_wrong));
                        _timeout = _timeout.toFixed(2);
                    }

                    

                    var _nguyen = 0;
                    var _du = 0;
                    _stars = Math.abs(_stars);
                    _nguyen = _stars / 60;
                    _du = _stars % 60;
                    _du = AddZero(parseInt(_du.toFixed(0)));



                    var html = "";
                    jQuery("#divProgressTyLeDung").empty();
                    html += '<div class="progress-bar bg-success progress-bar-striped" role="progressbar" style="width: ' + _correct + '%;" aria-valuenow="' + _correct + '" aria-valuemin="0" aria-valuemax="100">' + _correct + '%</div>';
                    html += '<div class="progress-bar bg-danger progress-bar-striped" role="progressbar" style="width: ' + _wrong + '%" aria-valuenow=' + _wrong + '" aria-valuemin="0" aria-valuemax="100">' + _wrong + '%</div>';
                    html += '<div class="progress-bar bg-light-2 " role="progressbar" style="width: ' + _timeout + '%" aria-valuenow="' + _timeout + '" aria-valuemin="0" aria-valuemax="100">' + _timeout + '%</div>';
                    jQuery("#divProgressTyLeDung").append(html);


                    jQuery("#divDetailTyLeDung").empty();
                    var _htmlDetailTyLe = "";
                    _htmlDetailTyLe += '<div class="mr-4 text-success">' + _correct + '% Đúng</div>';
                    _htmlDetailTyLe += '<div class="mr-4 text-danger">' + _wrong + '% Sai</div>';
                    _htmlDetailTyLe += '<div class="mr-4">' + _timeout + '% Không chọn</div>';
                    _htmlDetailTyLe += '<div class="mr-4"><b>Điểm:</b>&nbsp;' + _score + '</div>';
                    if (Math.floor(_nguyen) != 0)
                        _htmlDetailTyLe += '<div><i class="fa fa-clock-o"></i>&nbsp;' + Math.floor(_nguyen) + ' Phút ' + _du + '</div>';
                    else
                        _htmlDetailTyLe += '<div><i class="fa fa-clock-o"></i>&nbsp;' + _du + ' Giây</div>';
                    jQuery("#divDetailTyLeDung").append(_htmlDetailTyLe);


                    jQuery("#_listAnswerQuestionOfChild").empty();
                    var _htmlAnswerQuestionOfChild = "";

                    jQuery.each(data.data, function (i, item) {
                        _htmlAnswerQuestionOfChild += '<div class="preview-block">';
                        _htmlAnswerQuestionOfChild += '<div class="header-detailtest">';
                        _htmlAnswerQuestionOfChild += '<div>';
                        _htmlAnswerQuestionOfChild += '<div class="btn btn-sm btn-light mr-2">Câu hỏi ' + parseInt(i + 1) + '</div>';

                        var _result = "";
                        var _score = "0";
                        var _timeout = 0;

                        var _audioVi = "#";
                        var _audioEn = "#";
                        var _nameVi = "";
                        var _nameEn = "";
                        var _questionVi = "";
                        var _questionEn = "";
                        var _imgVi = "/admin_images/images-default.jpg";
                        var _imgEn = "/admin_images/images-default.jpg";

                        if (item.result != void 0) {
                            _result = item.result;
                        }
                        if (item.score != void 0) {
                            _score = item.score;
                        }
                        //if (item.detail != void 0 && item.detail.timeout != void 0) {
                        //    _timeout = item.detail.timeout;
                        //}
                        if (item.taken_time != void 0) {
                            _timeout = item.taken_time;
                        }

                        if (item.detail != void 0 && item.detail.audio_locs != void 0) {
                            if (item.detail.audio_locs.vi != void 0)
                                _audioVi = _apiLinkGlobal + item.detail.audio_locs.vi;
                            if (item.detail.audio_locs.en != void 0)
                                _audioEn = _apiLinkGlobal + item.detail.audio_locs.en;
                        }

                        if (item.detail != void 0 && item.detail.image_locs != void 0) {
                            if (item.detail.image_locs.vi != void 0)
                                _imgVi = _apiLinkGlobal + item.detail.image_locs.vi;
                            if (item.detail.image_locs.en != void 0)
                                _imgEn = _apiLinkGlobal + item.detail.image_locs.en;
                        }

                        if (item.detail != void 0 && item.detail.name_locs != void 0) {
                            if (item.detail.name_locs.vi != void 0)
                                _nameVi = item.detail.name_locs.vi;
                            if (item.detail.name_locs.en != void 0)
                                _nameEn = item.detail.name_locs.en;
                        }


                        if (item.detail != void 0 && item.detail.question_locs != void 0) {
                            if (item.detail.question_locs.vi != void 0)
                                _questionVi = item.detail.question_locs.vi;
                            if (item.detail.question_locs.en != void 0)
                                _questionEn = item.detail.question_locs.en;
                        }

                        if (_result == "correct")
                            _htmlAnswerQuestionOfChild += '<div class="btn btn-sm btn-success-light"><i class="fa fa-check-circle"></i>&nbsp;Đúng</div>';
                        else
                            _htmlAnswerQuestionOfChild += '<div class="btn btn-sm btn-danger-light"><i class="fa fa-times-circle"></i>&nbsp;Sai</div>';

                        _htmlAnswerQuestionOfChild += '</div>';
                        _htmlAnswerQuestionOfChild += '<div>';
                        _htmlAnswerQuestionOfChild += '<div class="btn-group" role="group" aria-label="Basic example">';
                        _htmlAnswerQuestionOfChild += '<div class="btn btn-sm btn-light">Điểm:&nbsp;' + _score + '</div>';
                        _htmlAnswerQuestionOfChild += '<div class="btn btn-sm btn-light"><i class="fa fa-clock-o"></i>&nbsp;' + _timeout.toFixed(2) + ' giây</div>';
                        _htmlAnswerQuestionOfChild += '</div>';
                        _htmlAnswerQuestionOfChild += '</div>';
                        _htmlAnswerQuestionOfChild += '</div>';

                        if (item.is_game == false) {
                            if (_questionEn != "" || _imgEn != "/admin_images/images-default.jpg") {
                                _htmlAnswerQuestionOfChild += '<div class="divtab-lang">';
                                _htmlAnswerQuestionOfChild += '<ul class="nav nav-pills language-tab" id="" role="tablist">';
                                _htmlAnswerQuestionOfChild += '<li class="nav-item">';
                                _htmlAnswerQuestionOfChild += '<a class="nav-link active" id="" data-toggle="pill" href="#questionchoise-' + item.detail._id + '-vn" role="tab" aria-controls="name-vn" aria-selected="true">VI</a>';
                                _htmlAnswerQuestionOfChild += '</li>';
                                _htmlAnswerQuestionOfChild += '<li class="nav-item">';
                                _htmlAnswerQuestionOfChild += '<a class="nav-link" id="" data-toggle="pill" href="#questionchoise-' + item.detail._id + '-en" role="tab" aria-controls="name-en" aria-selected="false">EN</a>';
                                _htmlAnswerQuestionOfChild += '</li>';
                                _htmlAnswerQuestionOfChild += '</ul>';
                                _htmlAnswerQuestionOfChild += '</div>';
                            }

                            _htmlAnswerQuestionOfChild += '<div class="tab-content" id="">';
                            _htmlAnswerQuestionOfChild += '<div class="tab-pane fade show active" id="questionchoise-' + item.detail._id + '-vn" role="tabpanel" aria-labelledby="pills-home-tab">';
                            _htmlAnswerQuestionOfChild += '<div class="question-view">';
                            if (_imgVi != "/admin_images/images-default.jpg")
                                _htmlAnswerQuestionOfChild += '<img class="lazyload question-view-img" data-src="' + _imgVi + '" src="' + _imgVi + '" id="" />';
                            _htmlAnswerQuestionOfChild += '<div class="question-view-text">';

                            if (_audioVi != "#") {
                                _htmlAnswerQuestionOfChild += '<button id="btnAudioQuestion-' + item.detail._id + '-vn" type="button" class="btn-speak viewSoundQuestion-' + item.detail._id + '" onclick="playSound(`' + _audioVi + '`)" title=""><i class="ti-volume"></i></button>';
                            }
                            if (item.detail.type == "math") {
                                if (item.detail.question != void 0) {
                                    _questionVi = item.detail.question;
                                    _questionEn = item.detail.question;
                                }
                                _htmlAnswerQuestionOfChild += _nameVi;
                                _htmlAnswerQuestionOfChild += "</br>";
                                _htmlAnswerQuestionOfChild += _questionVi;
                            }
                            else {
                                _htmlAnswerQuestionOfChild += _questionVi;
                            }

                            _htmlAnswerQuestionOfChild += '</div>';
                            _htmlAnswerQuestionOfChild += '</div>';
                            _htmlAnswerQuestionOfChild += '</div>';

                            _htmlAnswerQuestionOfChild += '<div class="tab-pane fade" id="questionchoise-' + item.detail._id + '-en" role="tabpanel" aria-labelledby="pills-profile-tab">';
                            _htmlAnswerQuestionOfChild += '<div class="question-view">';
                            if (_imgEn != "/admin_images/images-default.jpg")
                                _htmlAnswerQuestionOfChild += '<img class="lazyload question-view-img" data-src="' + _imgEn + '" src="' + _imgEn + '" id="" />';
                            _htmlAnswerQuestionOfChild += '<div class="question-view-text">';
                            if (_audioEn != "#") {
                                _htmlAnswerQuestionOfChild += '<button id="btnAudioQuestion-' + item.detail._id + '-en" type="button" class="btn-speak viewSoundQuestion-' + item.detail._id + '" onclick="playSound(`' + _audioEn + '`)" style="display: none;" title=""><i class="ti-volume"></i></button>';
                            }
                            _htmlAnswerQuestionOfChild += _questionEn;

                            if (item.detail.type == "math") {
                                if (item.detail.question != void 0) {
                                    _questionVi = item.detail.question;
                                    _questionEn = item.detail.question;
                                }
                                _htmlAnswerQuestionOfChild += _nameVi;
                                _htmlAnswerQuestionOfChild += "</br>";
                                _htmlAnswerQuestionOfChild += _questionEn;
                            }
                            else {
                                _htmlAnswerQuestionOfChild += _questionEn;
                            }

                            _htmlAnswerQuestionOfChild += '</div>';
                            _htmlAnswerQuestionOfChild += '</div>';
                            _htmlAnswerQuestionOfChild += '</div>';
                            _htmlAnswerQuestionOfChild += '</div>';

                            if (item.detail.type !== "pair") {
                                _htmlAnswerQuestionOfChild += '<div class="question-divider">';
                                _htmlAnswerQuestionOfChild += '<div class="divider-text">Đáp án</div>';
                                _htmlAnswerQuestionOfChild += '</div>';
                            }

                            if (item.detail.type == "kangaroo") {
                                var _answerType = item.detail.answerType;
                                var _answer = item.answer;
                                var _arrAnswer = [];

                                if (item.detail != void 0 && item.detail.answers != void 0)
                                    _arrAnswer = item.detail.answers;
                                _htmlAnswerQuestionOfChild += '<div class="answ-view">';
                                if (item.detail.options != void 0) {
                                    jQuery.each(item.detail.options, function (j, jtem) {
                                        if (jtem.type != void 0 && jtem.type == "image") {
                                            _htmlAnswerQuestionOfChild += '<div class="option option-img">';
                                            if (_answerType == "unique") {
                                                if (j == item.detail.answers[0] || j.toString() == item.detail.answers[0]) {
                                                    _htmlAnswerQuestionOfChild += '<div class="option-marker true"></div>';
                                                }
                                                else {
                                                    if (j.toString() == _answer.toString() && _answer.toString() != item.detail.answers[0])
                                                        _htmlAnswerQuestionOfChild += '<div class="option-marker false"></div>';
                                                    else
                                                        _htmlAnswerQuestionOfChild += '<div class="option-marker"></div>';
                                                }
                                            }

                                            if (_answerType == "multi") {
                                                var _ketqua = _answer.split(";");
                                                if (_arrAnswer.includes(j.toString()) || _arrAnswer.includes(j))
                                                    _htmlAnswerQuestionOfChild += '<div class="option-marker true"></div>';
                                                else
                                                    if (_ketqua.includes(j.toString()) && !_ketqua.includes(item.detail.answers))
                                                        _htmlAnswerQuestionOfChild += '<div class="option-marker false"></div>';
                                                    else
                                                        _htmlAnswerQuestionOfChild += '<div class="option-marker"></div>';
                                            }

                                            _htmlAnswerQuestionOfChild += '<img data-src="' + _apiLinkGlobal + jtem.media.url + '" src="' + _apiLinkGlobal + jtem.media.url + '" class="option-img lazyload">';
                                            _htmlAnswerQuestionOfChild += '</div>';
                                        }

                                        if (jtem.type != void 0 && jtem.type == "text") {
                                            _htmlAnswerQuestionOfChild += '<div class="option">';
                                            if (_answerType == "unique") {
                                                if (j == item.detail.answers[0] || j.toString() == item.detail.answers[0]) {
                                                    _htmlAnswerQuestionOfChild += '<div class="option-marker true"></div>';
                                                }
                                                else {
                                                    if (j.toString() == _answer.toString() && _answer.toString() != item.detail.answers[0])
                                                        _htmlAnswerQuestionOfChild += '<div class="option-marker false"></div>';
                                                    else
                                                        _htmlAnswerQuestionOfChild += '<div class="option-marker"></div>';
                                                }
                                            }

                                            if (_answerType == "multi") {
                                                var _ketqua = _answer.split(";");
                                                if (_arrAnswer.includes(j.toString()) || _arrAnswer.includes(j))
                                                    _htmlAnswerQuestionOfChild += '<div class="option-marker true"></div>';
                                                else
                                                    if (_ketqua.includes(j.toString()) && !_ketqua.includes(item.detail.answers))
                                                        _htmlAnswerQuestionOfChild += '<div class="option-marker false"></div>';
                                                    else
                                                        _htmlAnswerQuestionOfChild += '<div class="option-marker"></div>';
                                            }

                                            _htmlAnswerQuestionOfChild += '<div class="option-text">';
                                            _htmlAnswerQuestionOfChild += jtem.text;
                                            _htmlAnswerQuestionOfChild += '</div>';

                                            _htmlAnswerQuestionOfChild += '</div>';
                                        }
                                    });
                                }
                                _htmlAnswerQuestionOfChild += '</div>';
                            }

                            if (item.detail.type == "math") {
                                var _answerType = item.detail.answerType;
                                //var _answer = item.answer;
                                var _answer = parseInt(item.answer + 1); //01234
                                _htmlAnswerQuestionOfChild += '<div class="answ-view">';
                                if (item.detail.options != void 0) {
                                    jQuery.each(item.detail.options, function (j, jtem) {
                                        if (jtem.type != void 0 && jtem.type == "text") {
                                            _htmlAnswerQuestionOfChild += '<div class="option">';

                                            if (_answerType == "unique") {
                                                var _detailAnswers = parseInt(item.detail.answers[0]) - 1; //12345
                                                if (j == _detailAnswers || j.toString() == _detailAnswers.toString()) {
                                                //if (j == item.detail.answers[0] || j.toString() == item.detail.answers[0]) {
                                                    _htmlAnswerQuestionOfChild += '<div class="option-marker true"></div>';
                                                }
                                                else {
                                                    if (j.toString() == _answer.toString())
                                                        _htmlAnswerQuestionOfChild += '<div class="option-marker false"></div>';
                                                    else
                                                        _htmlAnswerQuestionOfChild += '<div class="option-marker"></div>';
                                                }
                                            }

                                            if (_answerType == "multi") {
                                                var _ketqua = _answer.split(";");
                                                if (_arrAnswer.includes(j.toString()) || _arrAnswer.includes(j))
                                                    _htmlAnswerQuestionOfChild += '<div class="option-marker true"></div>';
                                                else
                                                    if (_ketqua.includes(j.toString()) && !_ketqua.includes(item.detail.answers))
                                                        _htmlAnswerQuestionOfChild += '<div class="option-marker false"></div>';
                                                    else
                                                        _htmlAnswerQuestionOfChild += '<div class="option-marker"></div>';
                                            }

                                            _htmlAnswerQuestionOfChild += '<div class="option-text">';
                                            _htmlAnswerQuestionOfChild += jtem.text;
                                            _htmlAnswerQuestionOfChild += '</div>';
                                            _htmlAnswerQuestionOfChild += '</div>';
                                        }
                                    });
                                }
                                _htmlAnswerQuestionOfChild += '</div>';
                            }
                            if (item.detail.type == "sound") {
                                var _answerType = item.detail.answerType;
                                var _answer = item.answer;
                                var _arrAnswer = [];

                                if (item.detail != void 0 && item.detail.answers != void 0)
                                    _arrAnswer = item.detail.answers;
                                _htmlAnswerQuestionOfChild += '<div class="answ-view">';
                                if (item.detail.options != void 0) {
                                    jQuery.each(item.detail.options, function (j, jtem) {
                                        if (jtem.type != void 0 && jtem.type == "image") {
                                            _htmlAnswerQuestionOfChild += '<div class="option option-img">';
                                            if (_answerType == "unique") {
                                                if (j == item.detail.answers[0] || j.toString() == item.detail.answers[0]) {
                                                    _htmlAnswerQuestionOfChild += '<div class="option-marker true"></div>';
                                                }
                                                else {
                                                    if (j.toString() == _answer.toString() && _answer.toString() != item.detail.answers[0])
                                                        _htmlAnswerQuestionOfChild += '<div class="option-marker false"></div>';
                                                    else
                                                        _htmlAnswerQuestionOfChild += '<div class="option-marker"></div>';
                                                }
                                            }

                                            if (_answerType == "multi") {
                                                var _ketqua = _answer.split(";");
                                                if (_arrAnswer.includes(j.toString()) || _arrAnswer.includes(j))
                                                    _htmlAnswerQuestionOfChild += '<div class="option-marker true"></div>';
                                                else
                                                    if (_ketqua.includes(j.toString()) && !_ketqua.includes(item.detail.answers))
                                                        _htmlAnswerQuestionOfChild += '<div class="option-marker false"></div>';
                                                    else
                                                        _htmlAnswerQuestionOfChild += '<div class="option-marker"></div>';
                                            }

                                            _htmlAnswerQuestionOfChild += '<img data-src="' + _apiLinkGlobal + jtem.media.url + '" src="' + _apiLinkGlobal + jtem.media.url + '" class="option-img lazyload">';
                                            _htmlAnswerQuestionOfChild += '</div>';
                                        }

                                        if (jtem.type != void 0 && jtem.type == "audio") {
                                            _htmlAnswerQuestionOfChild += '<div class="option">';
                                            if (_answerType == "unique") {
                                                if (j == item.detail.answers[0] || j.toString() == item.detail.answers[0]) {
                                                    _htmlAnswerQuestionOfChild += '<div class="option-marker true"></div>';
                                                }
                                                else {
                                                    if (j.toString() == _answer.toString() && _answer.toString() != item.detail.answers[0])
                                                        _htmlAnswerQuestionOfChild += '<div class="option-marker false"></div>';
                                                    else
                                                        _htmlAnswerQuestionOfChild += '<div class="option-marker"></div>';
                                                }
                                            }

                                            if (_answerType == "multi") {
                                                var _ketqua = _answer.split(";");
                                                if (_arrAnswer.includes(j.toString()) || _arrAnswer.includes(j))
                                                    _htmlAnswerQuestionOfChild += '<div class="option-marker true"></div>';
                                                else
                                                    if (_ketqua.includes(j.toString()) && !_ketqua.includes(item.detail.answers))
                                                        _htmlAnswerQuestionOfChild += '<div class="option-marker false"></div>';
                                                    else
                                                        _htmlAnswerQuestionOfChild += '<div class="option-marker"></div>';
                                            }

                                            var _audio = "#";
                                            if (jtem.media != void 0 && jtem.media.url != void 0) {
                                                _audio = _apiLinkGlobal + jtem.media.url;
                                            }

                                            _htmlAnswerQuestionOfChild += '<div class="option-text">';
                                            _htmlAnswerQuestionOfChild += `<button class="btn-speak" type="button" onclick="playSound(this.title)" title="` + _audio + `" >`;
                                            _htmlAnswerQuestionOfChild += '<img src="/admin_images/Icon_Sound.png" />';
                                            _htmlAnswerQuestionOfChild += '</button >';
                                            _htmlAnswerQuestionOfChild += '</div>';

                                            _htmlAnswerQuestionOfChild += '</div>';
                                        }
                                    });
                                }
                                _htmlAnswerQuestionOfChild += '</div>';
                            }
                            if (item.detail.type == "pair") {
                                _htmlAnswerQuestionOfChild += '<div class="list-img">';
                                if (item.detail.options != void 0) {
                                    jQuery.each(item.detail.options, function (j, jtem) {
                                        if (jtem.type != void 0 && jtem.type == "image") {
                                            _htmlAnswerQuestionOfChild += '<div class="img-question bordercolor-' + jtem.value + '">';

                                            _htmlAnswerQuestionOfChild += '<img data-src="' + _apiLinkGlobal + jtem.media.url + '" src="' + _apiLinkGlobal + jtem.media.url + '" class="option-img lazyload">';
                                            _htmlAnswerQuestionOfChild += '</div>';
                                        }
                                    });
                                }
                                _htmlAnswerQuestionOfChild += '</div>';
                            }
                            if (item.detail.type == "input") {
                                _htmlAnswerQuestionOfChild += '<div class="answ-view">';
                                _htmlAnswerQuestionOfChild += '<div class="option">';
                                if (_result == "correct")
                                    _htmlAnswerQuestionOfChild += '<div class="option-marker true"></div>';
                                else
                                    _htmlAnswerQuestionOfChild += '<div class="option-marker false"></div>';
                                _htmlAnswerQuestionOfChild += '<div class="option-text">';
                                _htmlAnswerQuestionOfChild += item.detail.answers[0];
                                _htmlAnswerQuestionOfChild += '</div>';
                                _htmlAnswerQuestionOfChild += '</div>';
                                _htmlAnswerQuestionOfChild += '</div>';
                            }
                        }
                        else {
                            _htmlAnswerQuestionOfChild += '<div class="block-row">';
                            _htmlAnswerQuestionOfChild += '<div class="mini-game">';
                            var icon = "/admin_images/images-default.jpg";
                            if (item.detail != void 0 && item.detail.icon != void 0)
                                icon = _apiLink + "/learningpath/minigames/" + item.detail.icon;
                            _htmlAnswerQuestionOfChild += '<img class="lazyload" data-src="' + icon + '" src="' + icon + '" />';
                            _htmlAnswerQuestionOfChild += '</div>';
                            _htmlAnswerQuestionOfChild += '</div>';
                        }
                        _htmlAnswerQuestionOfChild += '</div>';
                    });

                    jQuery("#_listAnswerQuestionOfChild").append(_htmlAnswerQuestionOfChild);

                });
                ajaxCall.fail((xhr, status, error) => {
                    errShow(xhr);
                });
            }

            function AddZero(num) {
                return (num >= 0 && num < 10) ? "0" + num : num + "";
            }
        </script>
    </form>
</body>
</html>
